﻿using Kendo.Mvc.UI;
using KendoUIApp1.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace KendoUIApp1.Controllers
{

    public class InterestController : Controller
    {
        
        public ActionResult AjaxRead([DataSourceRequest]DataSourceRequest request)
        {
            List<InterestModel> testModel = new List<InterestModel>();
            testModel.Add(new InterestModel() { Name = "A", Interest = InterestType.DueInterest });
            testModel.Add(new InterestModel() { Name = "B", Interest = InterestType.CancelInterest });
            var result =  new DataSourceResult()
            {
                Data = testModel,  
                Total = testModel.Count()                
            };
            return Json(result);
        }
        public ActionResult Index()
        {
            return View(new InterestModel());
        }
       
        public ActionResult Grid(InterestModel model)
        {
            List<InterestModel> testModel = new List<InterestModel>() ;
            return PartialView(testModel);
        }
        public ActionResult Detail(InterestModel model)
        {
            return PartialView(model);
        }
    }

}