﻿using Kendo.Mvc.UI;
using KendoUIApp1.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace KendoUIApp1.Controllers
{
    
           
    public class TradeController : Controller
    {
        public List<TradeModel> testModel = new List<TradeModel>() {
            new TradeModel() { Name = "A", Type = TradeType.Contribution ,Time = DateTime.Today.AddDays(-1) },
            new TradeModel() { Name = "B", Type = TradeType.Distribution,Time = DateTime.Today }

        };

        public ActionResult AjaxRead([DataSourceRequest]DataSourceRequest request)
        {
            var result = new DataSourceResult()
            {
                Data = testModel,
                Total = testModel.Count()
            };
            return Json(result);
        }
        public ActionResult Index()
        {
            return View(new TradeModel());
        }

        public ActionResult Grid(TradeModel model)
        {
            List<TradeModel> testModel = new List<TradeModel>();
            return PartialView(testModel);
        }
        public ActionResult Detail(TradeModel model)
        {
            var result = testModel.Where(w => w.Type == model.Type).FirstOrDefault();
            return PartialView(result);
        }

    }
}