﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace KendoUIApp1.Models
{
    public class TradeModel
    {
        public string Name { get; set; }
        public TradeType Type { get; set; }
        public DateTime Time { get; set; }
    }
    public class InterestModel
    {
        public string Name { get; set; }
        public InterestType Interest { get; set; }
        public DateTime Time { get; set; }
    }
    public enum InterestType
    {
        CancelInterest,
        DueInterest,
        ReceiptInterest
    }
    public enum TradeType
    {
        Clearing,
        Contribution,
        Distribution
    }
}